package com.steering.mes.zgmil.entity;

/**
 * 数据库表MIL_PLAN + MIL_FEED_PLAN所对应的实体类（生成工具：代码生成器3.0）
 * 
 * @author PC-20160918TFRG date 2017-01-17
 */
public class MilPlanEntity5 implements java.io.Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	/**
	 * ID
	 */
	private String id = "";
	/**
	 * 序号
	 */
	private String seq = "";
	/**
	 * 熔炼炉号
	 */
	private String stoveNo = "";
	/**
	 * 判定炉号
	 */
	private String judgeStoveNo = "";
	/**
	 * 生产批号
	 */
	private String lotNo = "";
	/**
	 * 工序合同号
	 */
	private String contractNo = "";
	/**
	 * 执行工艺号
	 */
	private String impProcess = "";
	/**
	 * 产线(250机组-C008、258机组-C009、168机组-C010、ASSEL机组-C012、460机组-C017)
	 */
	private String plineCode = "";
	/**
	 * 状态(00-上料 05-开始锯切 15-入炉 25-开始穿孔 35-开始连轧 45-入再加热炉 55-开始定径 65-开始分切 75-开始矫直
	 * 85-开始探伤 95-开始质检)
	 */
	private String status = "";
	/**
	 * 监制
	 */
	private String producer = "";
	/**
	 * 工艺状态
	 */
	private String processStatus = "";
	/**
	 * 单倍长
	 */
	private String dbLength = "";
	/**
	 * 单倍重
	 */
	private String dbHeight = "";
	/**
	 * 轧制长度
	 */
	private String rollLength = "";
	/**
	 * 分切数
	 */
	private String sawNum = "";
	/**
	 * 目标长度
	 */
	private String targetLength = "";
	/**
	 * 用户
	 */
	private String finishUser = "";
	/**
	 * 目标库
	 */
	private String targetLiabrary = "";
	/**
	 * 品种
	 */
	private String varieties = "";
	/**
	 * 规格
	 */
	private String pipeSize = "";
	/**
	 * 扣型
	 */
	private String buckleType = "";
	/**
	 * 长度范围12
	 */
	private String lengthRange = "";
	/**
	 * 轧管判定标准
	 */
	private String rollStandrad = "";
	/**
	 * 断面
	 */
	private String pipeSection = "";
	/**
	 * 钢级代码
	 */
	private String steelcode = "";
	/**
	 * 钢级名称
	 */
	private String steelname = "";
	/**
	 * 钢种代码
	 */
	private String gradecode = "";
	/**
	 * 钢种名称
	 */
	private String gradename = "";
	/**
	 * 炼钢判定标准
	 */
	private String steelStandrad = "";
	/**
	 * 去向(A:成品 ,B、C:在制品)
	 */
	private String target = "";
	/**
	 * 计划成品支
	 */
	private String branch = "";
	/**
	 * 计划成品吨
	 */
	private String ton = "";
	/**
	 * 切损去向
	 */
	private String cutTarget = "";
	/**
	 * 切损长度
	 */
	private String cutLength = "";
	/**
	 * 切损重量
	 */
	private String cutWeight = "";

	/**
	 * 开始时间
	 */
	private String startTime = "";
	/**
	 * 结束时间
	 */
	private String endTime = "";
	/**
	 * 创建时间
	 */
	private String tom = "";
	/**
	 * 修改时间
	 */
	private String toc = "";
	/**
	 * 结炉状态( 10-锯切完成 20-出炉 30-穿孔完成 40-连轧完成 50-出再加热炉 60-出定径 70-分切完成 80-矫直完成
	 * 90-探伤完成 96-质检完成 99- 入库)
	 */
	private String nodeStatus = "";
	/**
	 * 切头长度
	 */
	private String cutHeadLengthp = "";
	/**
	 * 切尾长度
	 */
	private String cutTrailLengthp = "";
	/**
	 * 控制壁厚
	 */
	private String controlThickp = "";
	/**
	 * 下线标识（0-正常轧制，1-下线 2-返线）
	 */
	private String offlineFlag = "";
	/**
	 * 是否组批,0默认，1已组批，2已取样，3已确认
	 */
	private String isBatch = "";
	/**
	 * 下线时间
	 */
	private String offlineDate = "";
	/**
	 * 切尾类型（0-被动切尾，1-主动切尾）
	 */
	private String cutType = "";
	/**
	 * 轧制状态（0-正常轧制 1-整炉下线 2-坯料全部剔除）
	 */
	private String rollingStatus = "";
	/**
	 * 成品判定标准
	 */
	private String produceStandrad = "";
	/**
	 * 取样工序号(0-锯切前 1-锯切后 2-加热炉 3-穿孔 4-连轧 5-再加热炉 6-定径 7-分切前 8-分切后 9矫直 10-探伤
	 * 11-人工质检)
	 */
	private String simpleProcess = "";
	/**
	 * 返线跟队标识(0-未跟队 1-跟队)
	 */
	private String backLineFlag = "";
	/**
	 * 返线计划标识(0-正常计划， 1-锯切返线 7-矫直返线 8-探伤返线 9-复检 10-交库返线)
	 */
	private String backPlanFlag = "";
	/**
	 * 上料顺序号（年月日+产线代码+三位流水）
	 */
	private String feedSeq = "";
	/**
	 * 上料时间
	 */
	private String feedTime = "";
	/**
	 * 流动卡流水号
	 */
	private String lotSeq = "";
	/**
	 * 上料炉号
	 */
	private String feedHeatNo = "";
	/**
	 * 订货长度范围
	 */
	private String lengthcp = "";
	/**
	 * 切头长度(冷床操作工 实际录入值)
	 */
	private String cutHeadLengtha = "";
	/**
	 * 切尾长度(冷床操作工 实际录入值)
	 */
	private String cutTrailLengtha = "";
	/**
	 * 定尺长度(冷床操作工 实际录入值)
	 */
	private String orderLengtha = "";
	/**
	 * 热取样标识（0-未取样，1-已取样，2-无效）
	 */
	private String hotCheckFlag = "";
	/**
	 * 回炉坯标识（0-正常计划，1-回炉坯计划）
	 */
	private String backSlabFlag = "";
	/**
	 * 回炉坯组炉时间
	 */
	private String backSlabTime = "";
	/**
	 * 分批上限(暂时用，能获取到此数据停用)
	 */
	private String batchMax = "";
	/**
	 * 是否需取样(0，取样 1，不取样)
	 */
	private String codeSampleFlag = "";
	/**
	 * 品种代码
	 */
	private String varietiesCode = "";
	/**
	 * 规格代码
	 */
	private String pipeSizeCode = "";
	/**
	 * 扣型代码
	 */
	private String buckleTypeCode = "";
	/**
	 * 标准代码
	 */
	private String rollStandradCode = "";
	/**
	 * 标准类别代码
	 */
	private String stdStyle = "";
	/**
	 * 标准类别描述(PSL1....)
	 */
	private String stdStyleDesc = "";
	/**
	 * 检验编号
	 */
	private String checkNo = "";
	/**
	 * 交货行PK值
	 */
	private String ordLnDlyPk = "";
	/**
	 * 是否过磅（0，不过磅、1、过磅）
	 */
	private String prtFlag = "";
	/**
	 * 轧管订单编号
	 */
	private String proPlanId = "";

	// MIL_FEED_PLAN

	/**
	 * 上料行1
	 */
	private String feedRowNo = "";

	/**
	 * 倍尺数
	 */
	private String dbNum = "";
	/**
	 * 来料单支重量
	 */
	private String matHeight = "";
	/**
	 * 来料总重量
	 */
	private String matTotalHeight = "";
	/**
	 * 上料支数
	 */
	private String feedNum = "";
	/**
	 * 上料长度
	 */
	private String feedLength = "";
	/**
	 * 使用长度
	 */
	private String useLength = "";

	/**
	 * 锯切标识
	 */
	private String sawFalg = "";
	/**
	 * 备注
	 */
	private String remark = "";
	/**
	 * 采集方式(0-接口采集，1-人工录入)
	 */
	private String colMode = "";
	/**
	 * 采集/录入时间
	 */
	private String colTime = "";
	/**
	 * 操作人
	 */
	private String colUser = "";
	/**
	 * 操作班次
	 */
	private String colShift = "";
	/**
	 * 操作班组
	 */
	private String colGroup = "";

	/**
	 * 未使用长度
	 */
	private String nonUseLength = "";

	/**
	 * 剔除单倍坯支数
	 */
	private String scrapDbnum = "";
	/**
	 * 上料剔除支数
	 */
	private String scrapFeednum = "";

	/**
	 * 合格单倍支数
	 */
	private String qualifiedNum = "";
	/**
	 * 交接班支数
	 */
	private String changeNum = "";
	/**
	 * 计划上料支数
	 */
	private String feedNumPlan = "";
	/**
	 * 实绩切损长度
	 */
	private String actCutLength = "";
	/**
	 * 实绩切损重量
	 */
	private String actCutWeight = "";

	/**
	 * ID
	 * 
	 * @return value
	 */
	public String getId() {
		return id;
	}

	/**
	 * ID
	 * 
	 * @param id
	 *            value
	 */
	public void setId(String id) {
		this.id = id;
	}

	/**
	 * 序号
	 * 
	 * @return value
	 */
	public String getSeq() {
		return seq;
	}

	/**
	 * 序号
	 * 
	 * @param seq
	 *            value
	 */
	public void setSeq(String seq) {
		this.seq = seq;
	}

	/**
	 * 熔炼炉号
	 * 
	 * @return value
	 */
	public String getStoveNo() {
		return stoveNo;
	}

	/**
	 * 熔炼炉号
	 * 
	 * @param stoveNo
	 *            value
	 */
	public void setStoveNo(String stoveNo) {
		this.stoveNo = stoveNo;
	}

	/**
	 * 判定炉号
	 * 
	 * @return value
	 */
	public String getJudgeStoveNo() {
		return judgeStoveNo;
	}

	/**
	 * 判定炉号
	 * 
	 * @param judgeStoveNo
	 *            value
	 */
	public void setJudgeStoveNo(String judgeStoveNo) {
		this.judgeStoveNo = judgeStoveNo;
	}

	/**
	 * 生产批号
	 * 
	 * @return value
	 */
	public String getLotNo() {
		return lotNo;
	}

	/**
	 * 生产批号
	 * 
	 * @param lotNo
	 *            value
	 */
	public void setLotNo(String lotNo) {
		this.lotNo = lotNo;
	}

	/**
	 * 工序合同号
	 * 
	 * @return value
	 */
	public String getContractNo() {
		return contractNo;
	}

	/**
	 * 工序合同号
	 * 
	 * @param contractNo
	 *            value
	 */
	public void setContractNo(String contractNo) {
		this.contractNo = contractNo;
	}

	/**
	 * 执行工艺号
	 * 
	 * @return value
	 */
	public String getImpProcess() {
		return impProcess;
	}

	/**
	 * 执行工艺号
	 * 
	 * @param impProcess
	 *            value
	 */
	public void setImpProcess(String impProcess) {
		this.impProcess = impProcess;
	}

	/**
	 * 产线(250机组-C008、258机组-C009、168机组-C010、ASSEL机组-C012、460机组-C017)
	 * 
	 * @return value
	 */
	public String getPlineCode() {
		return plineCode;
	}

	/**
	 * 产线(250机组-C008、258机组-C009、168机组-C010、ASSEL机组-C012、460机组-C017)
	 * 
	 * @param plineCode
	 *            value
	 */
	public void setPlineCode(String plineCode) {
		this.plineCode = plineCode;
	}

	/**
	 * 状态(00-上料 05-开始锯切 15-入炉 25-开始穿孔 35-开始连轧 45-入再加热炉 55-开始定径 65-开始分切 75-开始矫直
	 * 85-开始探伤 95-开始质检)
	 * 
	 * @return value
	 */
	public String getStatus() {
		return status;
	}

	/**
	 * 状态(00-上料 05-开始锯切 15-入炉 25-开始穿孔 35-开始连轧 45-入再加热炉 55-开始定径 65-开始分切 75-开始矫直
	 * 85-开始探伤 95-开始质检)
	 * 
	 * @param status
	 *            value
	 */
	public void setStatus(String status) {
		this.status = status;
	}

	/**
	 * 监制
	 * 
	 * @return value
	 */
	public String getProducer() {
		return producer;
	}

	/**
	 * 监制
	 * 
	 * @param producer
	 *            value
	 */
	public void setProducer(String producer) {
		this.producer = producer;
	}

	/**
	 * 工艺状态
	 * 
	 * @return value
	 */
	public String getProcessStatus() {
		return processStatus;
	}

	/**
	 * 工艺状态
	 * 
	 * @param processStatus
	 *            value
	 */
	public void setProcessStatus(String processStatus) {
		this.processStatus = processStatus;
	}

	/**
	 * 单倍长
	 * 
	 * @return value
	 */
	public String getDbLength() {
		return dbLength;
	}

	/**
	 * 单倍长
	 * 
	 * @param dbLength
	 *            value
	 */
	public void setDbLength(String dbLength) {
		this.dbLength = dbLength;
	}

	/**
	 * 单倍重
	 * 
	 * @return value
	 */
	public String getDbHeight() {
		return dbHeight;
	}

	/**
	 * 单倍重
	 * 
	 * @param dbHeight
	 *            value
	 */
	public void setDbHeight(String dbHeight) {
		this.dbHeight = dbHeight;
	}

	/**
	 * 轧制长度
	 * 
	 * @return value
	 */
	public String getRollLength() {
		return rollLength;
	}

	/**
	 * 轧制长度
	 * 
	 * @param rollLength
	 *            value
	 */
	public void setRollLength(String rollLength) {
		this.rollLength = rollLength;
	}

	/**
	 * 分切数
	 * 
	 * @return value
	 */
	public String getSawNum() {
		return sawNum;
	}

	/**
	 * 分切数
	 * 
	 * @param sawNum
	 *            value
	 */
	public void setSawNum(String sawNum) {
		this.sawNum = sawNum;
	}

	/**
	 * 目标长度
	 * 
	 * @return value
	 */
	public String getTargetLength() {
		return targetLength;
	}

	/**
	 * 目标长度
	 * 
	 * @param targetLength
	 *            value
	 */
	public void setTargetLength(String targetLength) {
		this.targetLength = targetLength;
	}

	/**
	 * 用户
	 * 
	 * @return value
	 */
	public String getFinishUser() {
		return finishUser;
	}

	/**
	 * 用户
	 * 
	 * @param finishUser
	 *            value
	 */
	public void setFinishUser(String finishUser) {
		this.finishUser = finishUser;
	}

	/**
	 * 目标库
	 * 
	 * @return value
	 */
	public String getTargetLiabrary() {
		return targetLiabrary;
	}

	/**
	 * 目标库
	 * 
	 * @param targetLiabrary
	 *            value
	 */
	public void setTargetLiabrary(String targetLiabrary) {
		this.targetLiabrary = targetLiabrary;
	}

	/**
	 * 品种
	 * 
	 * @return value
	 */
	public String getVarieties() {
		return varieties;
	}

	/**
	 * 品种
	 * 
	 * @param varieties
	 *            value
	 */
	public void setVarieties(String varieties) {
		this.varieties = varieties;
	}

	/**
	 * 规格
	 * 
	 * @return value
	 */
	public String getPipeSize() {
		return pipeSize;
	}

	/**
	 * 规格
	 * 
	 * @param pipeSize
	 *            value
	 */
	public void setPipeSize(String pipeSize) {
		this.pipeSize = pipeSize;
	}

	/**
	 * 扣型
	 * 
	 * @return value
	 */
	public String getBuckleType() {
		return buckleType;
	}

	/**
	 * 扣型
	 * 
	 * @param buckleType
	 *            value
	 */
	public void setBuckleType(String buckleType) {
		this.buckleType = buckleType;
	}

	/**
	 * 长度范围12
	 * 
	 * @return value
	 */
	public String getLengthRange() {
		return lengthRange;
	}

	/**
	 * 长度范围12
	 * 
	 * @param lengthRange
	 *            value
	 */
	public void setLengthRange(String lengthRange) {
		this.lengthRange = lengthRange;
	}

	/**
	 * 轧管判定标准
	 * 
	 * @return value
	 */
	public String getRollStandrad() {
		return rollStandrad;
	}

	/**
	 * 轧管判定标准
	 * 
	 * @param rollStandrad
	 *            value
	 */
	public void setRollStandrad(String rollStandrad) {
		this.rollStandrad = rollStandrad;
	}

	/**
	 * 断面
	 * 
	 * @return value
	 */
	public String getPipeSection() {
		return pipeSection;
	}

	/**
	 * 断面
	 * 
	 * @param pipeSection
	 *            value
	 */
	public void setPipeSection(String pipeSection) {
		this.pipeSection = pipeSection;
	}

	/**
	 * 钢级代码
	 * 
	 * @return value
	 */
	public String getSteelcode() {
		return steelcode;
	}

	/**
	 * 钢级代码
	 * 
	 * @param steelcode
	 *            value
	 */
	public void setSteelcode(String steelcode) {
		this.steelcode = steelcode;
	}

	/**
	 * 钢级名称
	 * 
	 * @return value
	 */
	public String getSteelname() {
		return steelname;
	}

	/**
	 * 钢级名称
	 * 
	 * @param steelname
	 *            value
	 */
	public void setSteelname(String steelname) {
		this.steelname = steelname;
	}

	/**
	 * 钢种代码
	 * 
	 * @return value
	 */
	public String getGradecode() {
		return gradecode;
	}

	/**
	 * 钢种代码
	 * 
	 * @param gradecode
	 *            value
	 */
	public void setGradecode(String gradecode) {
		this.gradecode = gradecode;
	}

	/**
	 * 钢种名称
	 * 
	 * @return value
	 */
	public String getGradename() {
		return gradename;
	}

	/**
	 * 钢种名称
	 * 
	 * @param gradename
	 *            value
	 */
	public void setGradename(String gradename) {
		this.gradename = gradename;
	}

	/**
	 * 炼钢判定标准
	 * 
	 * @return value
	 */
	public String getSteelStandrad() {
		return steelStandrad;
	}

	/**
	 * 炼钢判定标准
	 * 
	 * @param steelStandrad
	 *            value
	 */
	public void setSteelStandrad(String steelStandrad) {
		this.steelStandrad = steelStandrad;
	}

	/**
	 * 去向(A:成品 ,B、C:在制品)
	 * 
	 * @return value
	 */
	public String getTarget() {
		return target;
	}

	/**
	 * 去向(A:成品 ,B、C:在制品)
	 * 
	 * @param target
	 *            value
	 */
	public void setTarget(String target) {
		this.target = target;
	}

	/**
	 * 计划成品支
	 * 
	 * @return value
	 */
	public String getBranch() {
		return branch;
	}

	/**
	 * 计划成品支
	 * 
	 * @param branch
	 *            value
	 */
	public void setBranch(String branch) {
		this.branch = branch;
	}

	/**
	 * 计划成品吨
	 * 
	 * @return value
	 */
	public String getTon() {
		return ton;
	}

	/**
	 * 计划成品吨
	 * 
	 * @param ton
	 *            value
	 */
	public void setTon(String ton) {
		this.ton = ton;
	}

	/**
	 * 切损去向
	 * 
	 * @return value
	 */
	public String getCutTarget() {
		return cutTarget;
	}

	/**
	 * 切损去向
	 * 
	 * @param cutTarget
	 *            value
	 */
	public void setCutTarget(String cutTarget) {
		this.cutTarget = cutTarget;
	}

	/**
	 * 切损长度
	 * 
	 * @return value
	 */
	public String getCutLength() {
		return cutLength;
	}

	/**
	 * 切损长度
	 * 
	 * @param cutLength
	 *            value
	 */
	public void setCutLength(String cutLength) {
		this.cutLength = cutLength;
	}

	/**
	 * 切损重量
	 * 
	 * @return value
	 */
	public String getCutWeight() {
		return cutWeight;
	}

	/**
	 * 切损重量
	 * 
	 * @param cutWeight
	 *            value
	 */
	public void setCutWeight(String cutWeight) {
		this.cutWeight = cutWeight;
	}

	/**
	 * 倍尺数
	 * 
	 * @return value
	 */
	public String getDbNum() {
		return dbNum;
	}

	/**
	 * 倍尺数
	 * 
	 * @param dbNum
	 *            value
	 */
	public void setDbNum(String dbNum) {
		this.dbNum = dbNum;
	}

	/**
	 * 开始时间
	 * 
	 * @return value
	 */
	public String getStartTime() {
		return startTime;
	}

	/**
	 * 开始时间
	 * 
	 * @param startTime
	 *            value
	 */
	public void setStartTime(String startTime) {
		this.startTime = startTime;
	}

	/**
	 * 结束时间
	 * 
	 * @return value
	 */
	public String getEndTime() {
		return endTime;
	}

	/**
	 * 结束时间
	 * 
	 * @param endTime
	 *            value
	 */
	public void setEndTime(String endTime) {
		this.endTime = endTime;
	}

	/**
	 * 创建时间
	 * 
	 * @return value
	 */
	public String getTom() {
		return tom;
	}

	/**
	 * 创建时间
	 * 
	 * @param tom
	 *            value
	 */
	public void setTom(String tom) {
		this.tom = tom;
	}

	/**
	 * 修改时间
	 * 
	 * @return value
	 */
	public String getToc() {
		return toc;
	}

	/**
	 * 修改时间
	 * 
	 * @param toc
	 *            value
	 */
	public void setToc(String toc) {
		this.toc = toc;
	}

	/**
	 * 结炉状态( 10-锯切完成 20-出炉 30-穿孔完成 40-连轧完成 50-出再加热炉 60-出定径 70-分切完成 80-矫直完成
	 * 90-探伤完成 96-质检完成 99- 入库)
	 * 
	 * @return value
	 */
	public String getNodeStatus() {
		return nodeStatus;
	}

	/**
	 * 结炉状态( 10-锯切完成 20-出炉 30-穿孔完成 40-连轧完成 50-出再加热炉 60-出定径 70-分切完成 80-矫直完成
	 * 90-探伤完成 96-质检完成 99- 入库)
	 * 
	 * @param nodeStatus
	 *            value
	 */
	public void setNodeStatus(String nodeStatus) {
		this.nodeStatus = nodeStatus;
	}

	/**
	 * 切头长度
	 * 
	 * @return value
	 */
	public String getCutHeadLengthp() {
		return cutHeadLengthp;
	}

	/**
	 * 切头长度
	 * 
	 * @param cutHeadLengthp
	 *            value
	 */
	public void setCutHeadLengthp(String cutHeadLengthp) {
		this.cutHeadLengthp = cutHeadLengthp;
	}

	/**
	 * 切尾长度
	 * 
	 * @return value
	 */
	public String getCutTrailLengthp() {
		return cutTrailLengthp;
	}

	/**
	 * 切尾长度
	 * 
	 * @param cutTrailLengthp
	 *            value
	 */
	public void setCutTrailLengthp(String cutTrailLengthp) {
		this.cutTrailLengthp = cutTrailLengthp;
	}

	/**
	 * 控制壁厚
	 * 
	 * @return value
	 */
	public String getControlThickp() {
		return controlThickp;
	}

	/**
	 * 控制壁厚
	 * 
	 * @param controlThickp
	 *            value
	 */
	public void setControlThickp(String controlThickp) {
		this.controlThickp = controlThickp;
	}

	/**
	 * 下线标识（0-正常轧制，1-下线 2-返线）
	 * 
	 * @return value
	 */
	public String getOfflineFlag() {
		return offlineFlag;
	}

	/**
	 * 下线标识（0-正常轧制，1-下线 2-返线）
	 * 
	 * @param offlineFlag
	 *            value
	 */
	public void setOfflineFlag(String offlineFlag) {
		this.offlineFlag = offlineFlag;
	}

	/**
	 * 是否组批,0默认，1已组批，2已取样，3已确认
	 * 
	 * @return value
	 */
	public String getIsBatch() {
		return isBatch;
	}

	/**
	 * 是否组批,0默认，1已组批，2已取样，3已确认
	 * 
	 * @param isBatch
	 *            value
	 */
	public void setIsBatch(String isBatch) {
		this.isBatch = isBatch;
	}

	/**
	 * 下线时间
	 * 
	 * @return value
	 */
	public String getOfflineDate() {
		return offlineDate;
	}

	/**
	 * 下线时间
	 * 
	 * @param offlineDate
	 *            value
	 */
	public void setOfflineDate(String offlineDate) {
		this.offlineDate = offlineDate;
	}

	/**
	 * 切尾类型（0-被动切尾，1-主动切尾）
	 * 
	 * @return value
	 */
	public String getCutType() {
		return cutType;
	}

	/**
	 * 切尾类型（0-被动切尾，1-主动切尾）
	 * 
	 * @param cutType
	 *            value
	 */
	public void setCutType(String cutType) {
		this.cutType = cutType;
	}

	/**
	 * 轧制状态（0-正常轧制 1-整炉下线 2-坯料全部剔除）
	 * 
	 * @return value
	 */
	public String getRollingStatus() {
		return rollingStatus;
	}

	/**
	 * 轧制状态（0-正常轧制 1-整炉下线 2-坯料全部剔除）
	 * 
	 * @param rollingStatus
	 *            value
	 */
	public void setRollingStatus(String rollingStatus) {
		this.rollingStatus = rollingStatus;
	}

	/**
	 * 成品判定标准
	 * 
	 * @return value
	 */
	public String getProduceStandrad() {
		return produceStandrad;
	}

	/**
	 * 成品判定标准
	 * 
	 * @param produceStandrad
	 *            value
	 */
	public void setProduceStandrad(String produceStandrad) {
		this.produceStandrad = produceStandrad;
	}

	/**
	 * 取样工序号(0-锯切前 1-锯切后 2-加热炉 3-穿孔 4-连轧 5-再加热炉 6-定径 7-分切前 8-分切后 9矫直 10-探伤
	 * 11-人工质检)
	 * 
	 * @return value
	 */
	public String getSimpleProcess() {
		return simpleProcess;
	}

	/**
	 * 取样工序号(0-锯切前 1-锯切后 2-加热炉 3-穿孔 4-连轧 5-再加热炉 6-定径 7-分切前 8-分切后 9矫直 10-探伤
	 * 11-人工质检)
	 * 
	 * @param simpleProcess
	 *            value
	 */
	public void setSimpleProcess(String simpleProcess) {
		this.simpleProcess = simpleProcess;
	}

	/**
	 * 返线跟队标识(0-未跟队 1-跟队)
	 * 
	 * @return value
	 */
	public String getBackLineFlag() {
		return backLineFlag;
	}

	/**
	 * 返线跟队标识(0-未跟队 1-跟队)
	 * 
	 * @param backLineFlag
	 *            value
	 */
	public void setBackLineFlag(String backLineFlag) {
		this.backLineFlag = backLineFlag;
	}

	/**
	 * 返线计划标识(0-正常计划， 1-锯切返线 7-矫直返线 8-探伤返线 9-复检 10-交库返线)
	 * 
	 * @return value
	 */
	public String getBackPlanFlag() {
		return backPlanFlag;
	}

	/**
	 * 返线计划标识(0-正常计划， 1-锯切返线 7-矫直返线 8-探伤返线 9-复检 10-交库返线)
	 * 
	 * @param backPlanFlag
	 *            value
	 */
	public void setBackPlanFlag(String backPlanFlag) {
		this.backPlanFlag = backPlanFlag;
	}

	/**
	 * 上料顺序号（年月日+产线代码+三位流水）
	 * 
	 * @return value
	 */
	public String getFeedSeq() {
		return feedSeq;
	}

	/**
	 * 上料顺序号（年月日+产线代码+三位流水）
	 * 
	 * @param feedSeq
	 *            value
	 */
	public void setFeedSeq(String feedSeq) {
		this.feedSeq = feedSeq;
	}

	/**
	 * 上料时间
	 * 
	 * @return value
	 */
	public String getFeedTime() {
		return feedTime;
	}

	/**
	 * 上料时间
	 * 
	 * @param feedTime
	 *            value
	 */
	public void setFeedTime(String feedTime) {
		this.feedTime = feedTime;
	}

	/**
	 * 流动卡流水号
	 * 
	 * @return value
	 */
	public String getLotSeq() {
		return lotSeq;
	}

	/**
	 * 流动卡流水号
	 * 
	 * @param lotSeq
	 *            value
	 */
	public void setLotSeq(String lotSeq) {
		this.lotSeq = lotSeq;
	}

	/**
	 * 上料炉号
	 * 
	 * @return value
	 */
	public String getFeedHeatNo() {
		return feedHeatNo;
	}

	/**
	 * 上料炉号
	 * 
	 * @param feedHeatNo
	 *            value
	 */
	public void setFeedHeatNo(String feedHeatNo) {
		this.feedHeatNo = feedHeatNo;
	}

	/**
	 * 订货长度范围
	 * 
	 * @return value
	 */
	public String getLengthcp() {
		return lengthcp;
	}

	/**
	 * 订货长度范围
	 * 
	 * @param lengthcp
	 *            value
	 */
	public void setLengthcp(String lengthcp) {
		this.lengthcp = lengthcp;
	}

	/**
	 * 切头长度(冷床操作工 实际录入值)
	 * 
	 * @return value
	 */
	public String getCutHeadLengtha() {
		return cutHeadLengtha;
	}

	/**
	 * 切头长度(冷床操作工 实际录入值)
	 * 
	 * @param cutHeadLengtha
	 *            value
	 */
	public void setCutHeadLengtha(String cutHeadLengtha) {
		this.cutHeadLengtha = cutHeadLengtha;
	}

	/**
	 * 切尾长度(冷床操作工 实际录入值)
	 * 
	 * @return value
	 */
	public String getCutTrailLengtha() {
		return cutTrailLengtha;
	}

	/**
	 * 切尾长度(冷床操作工 实际录入值)
	 * 
	 * @param cutTrailLengtha
	 *            value
	 */
	public void setCutTrailLengtha(String cutTrailLengtha) {
		this.cutTrailLengtha = cutTrailLengtha;
	}

	/**
	 * 定尺长度(冷床操作工 实际录入值)
	 * 
	 * @return value
	 */
	public String getOrderLengtha() {
		return orderLengtha;
	}

	/**
	 * 定尺长度(冷床操作工 实际录入值)
	 * 
	 * @param orderLengtha
	 *            value
	 */
	public void setOrderLengtha(String orderLengtha) {
		this.orderLengtha = orderLengtha;
	}

	/**
	 * 热取样标识（0-未取样，1-已取样，2-无效）
	 * 
	 * @return value
	 */
	public String getHotCheckFlag() {
		return hotCheckFlag;
	}

	/**
	 * 热取样标识（0-未取样，1-已取样，2-无效）
	 * 
	 * @param hotCheckFlag
	 *            value
	 */
	public void setHotCheckFlag(String hotCheckFlag) {
		this.hotCheckFlag = hotCheckFlag;
	}

	/**
	 * 回炉坯标识（0-正常计划，1-回炉坯计划）
	 * 
	 * @return value
	 */
	public String getBackSlabFlag() {
		return backSlabFlag;
	}

	/**
	 * 回炉坯标识（0-正常计划，1-回炉坯计划）
	 * 
	 * @param backSlabFlag
	 *            value
	 */
	public void setBackSlabFlag(String backSlabFlag) {
		this.backSlabFlag = backSlabFlag;
	}

	/**
	 * 回炉坯组炉时间
	 * 
	 * @return value
	 */
	public String getBackSlabTime() {
		return backSlabTime;
	}

	/**
	 * 回炉坯组炉时间
	 * 
	 * @param backSlabTime
	 *            value
	 */
	public void setBackSlabTime(String backSlabTime) {
		this.backSlabTime = backSlabTime;
	}

	/**
	 * 分批上限(暂时用，能获取到此数据停用)
	 * 
	 * @return value
	 */
	public String getBatchMax() {
		return batchMax;
	}

	/**
	 * 分批上限(暂时用，能获取到此数据停用)
	 * 
	 * @param batchMax
	 *            value
	 */
	public void setBatchMax(String batchMax) {
		this.batchMax = batchMax;
	}

	/**
	 * 是否需取样(0，取样 1，不取样)
	 * 
	 * @return value
	 */
	public String getCodeSampleFlag() {
		return codeSampleFlag;
	}

	/**
	 * 是否需取样(0，取样 1，不取样)
	 * 
	 * @param codeSampleFlag
	 *            value
	 */
	public void setCodeSampleFlag(String codeSampleFlag) {
		this.codeSampleFlag = codeSampleFlag;
	}

	/**
	 * 品种代码
	 * 
	 * @return value
	 */
	public String getVarietiesCode() {
		return varietiesCode;
	}

	/**
	 * 品种代码
	 * 
	 * @param varietiesCode
	 *            value
	 */
	public void setVarietiesCode(String varietiesCode) {
		this.varietiesCode = varietiesCode;
	}

	/**
	 * 规格代码
	 * 
	 * @return value
	 */
	public String getPipeSizeCode() {
		return pipeSizeCode;
	}

	/**
	 * 规格代码
	 * 
	 * @param pipeSizeCode
	 *            value
	 */
	public void setPipeSizeCode(String pipeSizeCode) {
		this.pipeSizeCode = pipeSizeCode;
	}

	/**
	 * 扣型代码
	 * 
	 * @return value
	 */
	public String getBuckleTypeCode() {
		return buckleTypeCode;
	}

	/**
	 * 扣型代码
	 * 
	 * @param buckleTypeCode
	 *            value
	 */
	public void setBuckleTypeCode(String buckleTypeCode) {
		this.buckleTypeCode = buckleTypeCode;
	}

	/**
	 * 标准代码
	 * 
	 * @return value
	 */
	public String getRollStandradCode() {
		return rollStandradCode;
	}

	/**
	 * 标准代码
	 * 
	 * @param rollStandradCode
	 *            value
	 */
	public void setRollStandradCode(String rollStandradCode) {
		this.rollStandradCode = rollStandradCode;
	}

	/**
	 * 标准类别代码
	 * 
	 * @return value
	 */
	public String getStdStyle() {
		return stdStyle;
	}

	/**
	 * 标准类别代码
	 * 
	 * @param stdStyle
	 *            value
	 */
	public void setStdStyle(String stdStyle) {
		this.stdStyle = stdStyle;
	}

	/**
	 * 标准类别描述(PSL1....)
	 * 
	 * @return value
	 */
	public String getStdStyleDesc() {
		return stdStyleDesc;
	}

	/**
	 * 标准类别描述(PSL1....)
	 * 
	 * @param stdStyleDesc
	 *            value
	 */
	public void setStdStyleDesc(String stdStyleDesc) {
		this.stdStyleDesc = stdStyleDesc;
	}

	/**
	 * 检验编号
	 * 
	 * @return value
	 */
	public String getCheckNo() {
		return checkNo;
	}

	/**
	 * 检验编号
	 * 
	 * @param checkNo
	 *            value
	 */
	public void setCheckNo(String checkNo) {
		this.checkNo = checkNo;
	}

	/**
	 * 交货行PK值
	 * 
	 * @return value
	 */
	public String getOrdLnDlyPk() {
		return ordLnDlyPk;
	}

	/**
	 * 交货行PK值
	 * 
	 * @param ordLnDlyPk
	 *            value
	 */
	public void setOrdLnDlyPk(String ordLnDlyPk) {
		this.ordLnDlyPk = ordLnDlyPk;
	}

	/**
	 * 是否过磅（0，不过磅、1、过磅）
	 * 
	 * @return value
	 */
	public String getPrtFlag() {
		return prtFlag;
	}

	/**
	 * 是否过磅（0，不过磅、1、过磅）
	 * 
	 * @param prtFlag
	 *            value
	 */
	public void setPrtFlag(String prtFlag) {
		this.prtFlag = prtFlag;
	}

	/**
	 * 轧管订单编号
	 * 
	 * @return value
	 */
	public String getProPlanId() {
		return proPlanId;
	}

	/**
	 * 轧管订单编号
	 * 
	 * @param proPlanId
	 *            value
	 */
	public void setProPlanId(String proPlanId) {
		this.proPlanId = proPlanId;
	}

	// mil_feed_plan

	/**
	 * 上料行1
	 * 
	 * @return value
	 */
	public String getFeedRowNo() {
		return feedRowNo;
	}

	/**
	 * 上料行1
	 * 
	 * @param feedRowNo
	 *            value
	 */
	public void setFeedRowNo(String feedRowNo) {
		this.feedRowNo = feedRowNo;
	}

	/**
	 * 来料单支重量
	 * 
	 * @return value
	 */
	public String getMatHeight() {
		return matHeight;
	}

	/**
	 * 来料单支重量
	 * 
	 * @param matHeight
	 *            value
	 */
	public void setMatHeight(String matHeight) {
		this.matHeight = matHeight;
	}

	/**
	 * 来料总重量
	 * 
	 * @return value
	 */
	public String getMatTotalHeight() {
		return matTotalHeight;
	}

	/**
	 * 来料总重量
	 * 
	 * @param matTotalHeight
	 *            value
	 */
	public void setMatTotalHeight(String matTotalHeight) {
		this.matTotalHeight = matTotalHeight;
	}

	/**
	 * 上料支数
	 * 
	 * @return value
	 */
	public String getFeedNum() {
		return feedNum;
	}

	/**
	 * 上料支数
	 * 
	 * @param feedNum
	 *            value
	 */
	public void setFeedNum(String feedNum) {
		this.feedNum = feedNum;
	}

	/**
	 * 上料长度
	 * 
	 * @return value
	 */
	public String getFeedLength() {
		return feedLength;
	}

	/**
	 * 上料长度
	 * 
	 * @param feedLength
	 *            value
	 */
	public void setFeedLength(String feedLength) {
		this.feedLength = feedLength;
	}

	/**
	 * 使用长度
	 * 
	 * @return value
	 */
	public String getUseLength() {
		return useLength;
	}

	/**
	 * 使用长度
	 * 
	 * @param useLength
	 *            value
	 */
	public void setUseLength(String useLength) {
		this.useLength = useLength;
	}

	/**
	 * 锯切标识
	 * 
	 * @return value
	 */
	public String getSawFalg() {
		return sawFalg;
	}

	/**
	 * 锯切标识
	 * 
	 * @param sawFalg
	 *            value
	 */
	public void setSawFalg(String sawFalg) {
		this.sawFalg = sawFalg;
	}

	/**
	 * 备注
	 * 
	 * @return value
	 */
	public String getRemark() {
		return remark;
	}

	/**
	 * 备注
	 * 
	 * @param remark
	 *            value
	 */
	public void setRemark(String remark) {
		this.remark = remark;
	}

	/**
	 * 采集方式(0-接口采集，1-人工录入)
	 * 
	 * @return value
	 */
	public String getColMode() {
		return colMode;
	}

	/**
	 * 采集方式(0-接口采集，1-人工录入)
	 * 
	 * @param colMode
	 *            value
	 */
	public void setColMode(String colMode) {
		this.colMode = colMode;
	}

	/**
	 * 采集/录入时间
	 * 
	 * @return value
	 */
	public String getColTime() {
		return colTime;
	}

	/**
	 * 采集/录入时间
	 * 
	 * @param colTime
	 *            value
	 */
	public void setColTime(String colTime) {
		this.colTime = colTime;
	}

	/**
	 * 操作人
	 * 
	 * @return value
	 */
	public String getColUser() {
		return colUser;
	}

	/**
	 * 操作人
	 * 
	 * @param colUser
	 *            value
	 */
	public void setColUser(String colUser) {
		this.colUser = colUser;
	}

	/**
	 * 操作班次
	 * 
	 * @return value
	 */
	public String getColShift() {
		return colShift;
	}

	/**
	 * 操作班次
	 * 
	 * @param colShift
	 *            value
	 */
	public void setColShift(String colShift) {
		this.colShift = colShift;
	}

	/**
	 * 操作班组
	 * 
	 * @return value
	 */
	public String getColGroup() {
		return colGroup;
	}

	/**
	 * 操作班组
	 * 
	 * @param colGroup
	 *            value
	 */
	public void setColGroup(String colGroup) {
		this.colGroup = colGroup;
	}

	/**
	 * 未使用长度
	 * 
	 * @return value
	 */
	public String getNonUseLength() {
		return nonUseLength;
	}

	/**
	 * 未使用长度
	 * 
	 * @param nonUseLength
	 *            value
	 */
	public void setNonUseLength(String nonUseLength) {
		this.nonUseLength = nonUseLength;
	}

	/**
	 * 剔除单倍坯支数
	 * 
	 * @return value
	 */
	public String getScrapDbnum() {
		return scrapDbnum;
	}

	/**
	 * 剔除单倍坯支数
	 * 
	 * @param scrapDbnum
	 *            value
	 */
	public void setScrapDbnum(String scrapDbnum) {
		this.scrapDbnum = scrapDbnum;
	}

	/**
	 * 上料剔除支数
	 * 
	 * @return value
	 */
	public String getScrapFeednum() {
		return scrapFeednum;
	}

	/**
	 * 上料剔除支数
	 * 
	 * @param scrapFeednum
	 *            value
	 */
	public void setScrapFeednum(String scrapFeednum) {
		this.scrapFeednum = scrapFeednum;
	}

	/**
	 * 合格单倍支数
	 * 
	 * @return value
	 */
	public String getQualifiedNum() {
		return qualifiedNum;
	}

	/**
	 * 合格单倍支数
	 * 
	 * @param qualifiedNum
	 *            value
	 */
	public void setQualifiedNum(String qualifiedNum) {
		this.qualifiedNum = qualifiedNum;
	}

	/**
	 * 交接班支数
	 * 
	 * @return value
	 */
	public String getChangeNum() {
		return changeNum;
	}

	/**
	 * 交接班支数
	 * 
	 * @param changeNum
	 *            value
	 */
	public void setChangeNum(String changeNum) {
		this.changeNum = changeNum;
	}

	/**
	 * 计划上料支数
	 * 
	 * @return value
	 */
	public String getFeedNumPlan() {
		return feedNumPlan;
	}

	/**
	 * 计划上料支数
	 * 
	 * @param feedNumPlan
	 *            value
	 */
	public void setFeedNumPlan(String feedNumPlan) {
		this.feedNumPlan = feedNumPlan;
	}

	/**
	 * 实绩切损长度
	 * 
	 * @return value
	 */
	public String getActCutLength() {
		return actCutLength;
	}

	/**
	 * 实绩切损长度
	 * 
	 * @param actCutLength
	 *            value
	 */
	public void setActCutLength(String actCutLength) {
		this.actCutLength = actCutLength;
	}

	/**
	 * 实绩切损重量
	 * 
	 * @return value
	 */
	public String getActCutWeight() {
		return actCutWeight;
	}

	/**
	 * 实绩切损重量
	 * 
	 * @param actCutWeight
	 *            value
	 */
	public void setActCutWeight(String actCutWeight) {
		this.actCutWeight = actCutWeight;
	}

}
